Bug 720762 - (rhq-ora-in-clause) search and fix remaining places in the code where SQL queries containing IN clauses need to be broken into batches of <= 1000 IN clause items to avoid "ORA-01795 maximum number of expressions in a list is 1000" errors from Oracle
search and fix remaining places in the code where SQL queries containing IN c...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: Reopened, Tracking
Depends On: 737190 737193 719734 738799 739090
Blocks: rhq-perf jon3 rhq41
  Show dependency treegraph
 
Reported: 2011-07-12 13:14 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 16:30:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-07-12 13:14:44 EDT
Joe fixed most of these a while back, but I recently encountered one he missed - Resource import. We should search for any remaining instances that need to be fixed. There are two ways to look for these:

1) grep through the code base looking for them
2) try to do various actions on 1000 or more items via the GUI of the perf environment, which contains 1000s of Resources, looking for ones that bomb

I think there will be many queries with IN clauses in the code base that would never be passed more than 1000 items in a realistic use case, so I think 2) will be an better way to find the important ones that need to be fixed.
Comment 1 Jay Shaughnessy 2013-02-26 16:30:18 EST
Closing this. This will eventually fall out of perf testing.  Specific instances should be tracked in specific BZs.
Comment 2 Charles Crouch 2013-02-27 17:19:57 EST
Reopening this, since its a tracker bug. Actually added the keyword this time. 

The specific instances of this problem which jay mentions are listed in the Depends On field of this bug.

Note You need to log in before you can comment on or make changes to this bug.